Subject: RE: [Ospf-manet] Initial Scenario Description

From: "Bose, Pratik" <[email-masked]>
Date: Tue, 17 Jan 2006 08:42:04 -0500

Phillipe, 

You bring up very good points, and I agree that at Mach-1, the MANET
routing is just one of the many problems to solve. As you say I am
however not sure about 500 jet fighters with 1 sq-km of each other. I
suspect that the realistic density (which I am working on) will collapse
to a network with radio range ratio not that differen from ground
networks - lets see.....

> -----Original Message-----
> From: Philippe Jacquet [mailto:[email-masked]] 
> Sent: Tuesday, January 17, 2006 8:38 AM
> To: Bose, Pratik
> Cc: [email-masked]
> Subject: Re: [Ospf-manet] Initial Scenario Description
> 
> Hi,
> 
> 
> I worry that ad hoc communication between mobile moving at 
> Mach 1 will be stressful for the physical layer. However it 
> is interesting on the theoretical plan. I am currently 
> investigating the effect of mobility up to that range for the 
> routing protocols. It seems doable but you have of course to 
> adapt the neighbour sensing with respect to this condition. 
> The hello rate should be made such that the average link life 
> time should be keep several time larger than the hello 
> period. The link life time is proportional to radio range R 
> and inversely proportional to speed difference Delta(v) (the 
> correct formula with random motion is pi R/2/Delta(v)).
> 
> We have to be careful to the fact that according to Gupta and 
> Kumar scaling property, optimal radio range R decays 
> inversely proportionally to square root of traffic density, 
> therefore increasing hello rate contributes to decrease 
> optimal range. In my analysis I took the ratio link lifetime 
> over hello rate equal to 100. In theory I can still control 
> 500 jet fighters at Mach 1 if the density is 1 per square 
> kilometre with a 1 Mbps channel. No idea on how realistic it 
> is (and apologies for all Top Gun fans;-)) .
> 
>  Best regards,
> Philippe
> 
> 
> 
> Bose, Pratik wrote:
> 
> > Hi,
> >  
> > I finally got a chance to peruse through the information that Tom 
> > cited below. After analyzing the wealth of information, I have the 
> > following suggestions for OSPF-MANET scenarios for this 
> mailing list 
> > to consider. The motivation behind my comments is to consider the 
> > requirements of a wider, more complete set of deployments for 
> > OSPF-MANET. The current scenario is a great first step, we 
> also need 
> > to address the requirements of other networks whose characteristics 
> > can be different from the current scenario. I try to cover 
> nodes with 
> > different mobility characteristics of multiple vehicle type 
> (air, land 
> > and water) and I think we all will notice that these can be so 
> > different that algorithm evaluation should be subject to 
> this variety:
> >  
> > - Grid size and radio range: These two factors are clearly related. 
> > The current scenario has 500 m^2 grid size and a radio 
> range of 250 m. 
> > This forms I think the spectrum of agile land based manet 
> nodes with 
> > limited mobility. It would help if the scenario allows these two 
> > parameters to be specified as a ratio in metres for Grid 
> Size / Range, 
> > with the current scenario having a value of 2. At least a few more 
> > values of this ratio is required such as 10, 50, 150 etc. This will 
> > cover cases where long range radios can cover large grid 
> sizes (some 
> > of which go into kilometres - think large land vehicles, ships, 
> > planes). A corresponding number of nodes would also apply 
> to each case.
> >  
> > - Velocity: The current scenario specifies 10 m/s . This is again 
> > typical for certain land based vehicles only. In addition 
> other mobile 
> > node speeds need to be considered. Typical maritime speeds 
> are double 
> > the current number and airborne vehicle speeds begin at an order of 
> > maginute greater upto Mach-1 speeds.
> >  
> > - Pause Time: A pause time of 40 seconds in the current scenario is 
> > sufficient for land vehicles for certain quick stationary activity.
> > Both shorter (air-vehicles) and larger (for both maritime and land 
> > vehicles) pause time should also be considered ranging from the 
> > millisecond to hour range. This can be done in discrete steps such 
> > that at least one order of magnitude (millisecond, second, hour) is 
> > captured. Another aspect of pause time implications which I 
> could not 
> > find (maybe I missed it) in the current scenario is that for most 
> > radios, the moment they pause their radio range increases 
> > significantly. This is an important aspect to consider, 
> especially for 
> > large pause times.
> >  
> > Although the above detail may seem involved, my guess is 
> that all of 
> > the above can be condensed to a handful of scenarios. The 
> reason why I 
> > think this is important is that the above characteristics are so 
> > different that it seems moot that we as a group incorporate them in 
> > our evaluation while we ponder on OSPF-MANET.
> >  
> > Thanks,
> >  
> > Pratik
> >
> > 
> ----------------------------------------------------------------------
> > --
> > *From:* Henderson, Thomas R [mailto:[email-masked]]
> > *Sent:* Thursday, December 01, 2005 10:35 AM
> > *To:* Bose, Pratik; [email-masked]
> > *Subject:* RE: [Ospf-manet] Initial Scenario Description
> >
> > The code that implements this can be found at 
> > SRC/mobility-random-waypoint.{cc,h}.  It is not documented anywhere 
> > else AFAIK.  There are some other example scripts in the EXAMPLES/ 
> > directory (testwirelessgrid*) that use the mobility models. 
>  Also, the 
> > simulator can be configured to generate animations such as shown in 
> > Figure A.6 of the documentation, or at the website:
> > http://hipserver.mct.phantomworks.org/ietf/ospf/
> >  
> > Figure 4-1 describes what happens.  Each node starts at a random 
> > location on the grid, picks a new random location on the 
> grid, moves 
> > there with constant velocity, and once there, pauses for a fixed 
> > amount of time before picking a new random location.  In 
> most of the 
> > plots in the report, we used a grid size of 500 m^2, pause 
> time of 40 
> > seconds, and velocity of 10 m/s, and a radio range of 250 m 
> (the radio 
> > models are described in more detail in Section 3.2).
> >  
> > Tom
> >
> >     
> --------------------------------------------------------------
> ----------
> >     *From:* Bose, Pratik [mailto:[email-masked]]
> >     *Sent:* Thursday, December 01, 2005 6:59 AM
> >     *To:* [email-masked]
> >     *Subject:* [Ospf-manet] Initial Scenario Description
> >
> >     Tom (and/or anyone else who knows)
> >      
> >     I would like to understand the random way point 
> scenario that was
> >     conducted a bit better. Is there any more info that I can be
> >     pointed to (more than what is in Section 4.1 of the 
> current report).
> >      
> >     Thanks,
> >
> >     Pratik
> >
> >-------------------------------------------------------------
> ----------
> >-
> >
> >_______________________________________________
> >Ospf-manet mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/ospf-manet
> >  
> >
> 
> 

_______________________________________________
Ospf-manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf-manet

---

From: Philippe Jacquet <[email-masked]>
Date: Wed, 18 Jan 2006 15:27:19 +0100

This is very interesting, you mean that the density of jet fighters (if 
it is the application) will be large enough to fit in the radio ranges 
of ground networks. I thought 1 per sqr km will be a lot. With one jet 
per hectar, my number drops to 75, I hope these will not be for human 
pilots because the number of gs will be large. Maybe one should consider 
the flying network on three dimensions... In all cases, every node  one 
must adapt its hello sampling period its motion speed.

Philippe